[Song]
name = Object of Affection
artist = Jamie Paige
album = Constant Companions
genre = Synthpop
year = 2024
song_length = 280353
charter = Hubbubble
diff_guitar = 1
preview_start_time = 68200
icon = csc
album_track = 9
loading_phrase = The fantasy story told by the song "Object of Affection" is one about artifice and being transgender. It vaguely goes as follows (sourced from Jamie Paige's Tumblr blog): <br> A rebellious, disobedient, gender-questioning prince has mildly inconvenienced 'his' royal lineage one too many times. Their solution is to invoke magicks widely regarded as heretical - what’s a fantasy monarchy without some hypocrisy - to seal their 'son's' soul within an automaton body, rendering 'him' a perfect, subservient doll. This doll is promptly spirited away under cover of darkness by a mage, and is granted free will once again. She experiences the crushing weight of newfound self-awareness and nearly spirals out of control, before realizing the mage who saved her is the same - a doll. It turns out being a magical-mechanical construct has its perks if you are TRANSGENDER. then they overthrow the monarchy and fuck nasty or whatever idk this is where the story gives way to things like 'metaphor'